## org.hibernate.ejb.packaging
Class InputStreamZippedJarVisitor

    java.lang.Object
      org.hibernate.ejb.packaging.AbstractJarVisitor
          org.hibernate.ejb.packaging.InputStreamZippedJarVisitor

All Implemented Interfaces:
  JarVisitor

    public class InputStreamZippedJarVisitor

extends AbstractJarVisitor

Work on a JAR that can only be accessed through a inputstream This is less efficient than the `FileZippedJarVisitor`

Field Summary

Fields inherited from class org.hibernate.ejb.packaging.AbstractJarVisitor
`done, jarUrl, unqualifiedJarName`

Constructor Summary
`InputStreamZippedJarVisitor(String fileName, Filter[] filters)`
`InputStreamZippedJarVisitor(URL url, Filter[] filters, String entry)`

Method Summary
`protected void` `doProcessElements()`

Methods inherited from class org.hibernate.ejb.packaging.AbstractJarVisitor
`addElement, getFilters, getMatchingEntries, getUnqualifiedJarName, unqualify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputStreamZippedJarVisitor

    public InputStreamZippedJarVisitor(URL url,
                                       Filter[] filters,
                                       String entry)

### InputStreamZippedJarVisitor

    public InputStreamZippedJarVisitor(String fileName,
                                       Filter[] filters)

Method Detail

### doProcessElements

    protected void doProcessElements()
                              throws IOException

  Specified by:
    `doProcessElements` in class `AbstractJarVisitor`
  Throws:
    `IOException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.